# Delete Relationship Permission

#### com.megaphonetech.deleterelationshipperm

## Overview

This extension restricts deletions of relationship between contacts for users not having Delete relationship permission.

This extension has been developed and is being maintained by [Megaphone Technology Consulting](https://www.megaphonetech.com/).

## Requirements

## Installation (Web UI)

1. If you have not already done so, setup *Extensions Directory*
   1. Go to **Administer » System Settings » Directories**
   1. Set an appropriate value for *CiviCRM Extensions Directory*. For example, for Drupal, `[civicrm.files]/ext/`
   1. In a different window, ensure the directory exists and is readable by your web server process.
   1. Click **Save**.
1. If you have not already done so, setup *Extensions Resources URL*
   1. Go to **Administer » System Settings » Resource URLs**
   1. Beside Extension Resource URL, enter an appropriate values such as `[civicrm.files]/ext/`
   1. Click **Save**.
1. Install Delete Relationship Permission extension
   1. Go to **Administer » System Settings » Extensions**.
   1. Click on **Add New tab**.
   1. If Delete Relationship Permission is not in the list of extensions, manually download it and unzip it into the extensions direction setup above, then return to this page.
      1. Beside *Delete Relationship Permission*, click **Download**.
   1. Review the information, then click **Install**.

## Installation (CLI, Zip)

Sysadmins and developers may download the .zip file for this extension and install it with the command-line tool [cv](https://github.com/civicrm/cv).

cd `<extension-dir>`

cv dl deleterelationshipperm@https://git.megaphonetech.com/CiviWare/com.megaphonetech.deleterelationshipperm.git

## Installation (CLI, Git)

Sysadmins and developers may clone the Git repo for this extension and install it with the command-line tool [cv](https://github.com/civicrm/cv).

git clone FIX
cv en FIX

## Usage
